import 'dart:async';

import 'package:flutter/services.dart';

class FlutterGeniusScan {
  static const MethodChannel _channel = const MethodChannel('flutter_genius_scan');

  static Future<Map> scanWithConfiguration(Map configuration) async {
    final Map result = await _channel.invokeMethod('scanWithConfiguration', configuration);
    return result;
  }

  static Future<void> setLicenceKey(String licenceKey) async {
    await _channel.invokeMethod('setLicenceKey', licenceKey);
  }
}
